package com.sd.business.entity.in.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class InOutStorageBomExportVo {
    /**
     * 出入库单号
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "出入库单号", index = 0)
    private String code;

    /**
     * 事业部名称
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "归属事业部", index = 1)
    private String departmentName;

    /**
     * 仓库名称
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "仓库", index = 2)
    private String warehouseName;

    /**
     * 出入库明细类型值
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "出入库类型", index = 3)
    private String detailTypeValue;

    /**
     * 产品规格品号
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "品号", index = 4)
    private String bomSpecCode;

    /**
     * 产品规格品名
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "品名", index = 5)
    private String bomSpecName;

    /**
     * 数量
     */
    @ExcelProperty(value = "数量", index = 6)
    private BigDecimal quantity;

    /**
     * 结存库存数量
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "库存数量", index = 7)
    private BigDecimal balanceInventoryQuantity;

    /**
     * 出入库时间
     */
    @ColumnWidth(20)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ExcelProperty(value = "操作时间", index = 8)
    private Date createTime;

    /**
     * 申请人
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "操作人", index = 9)
    private String applicant;

}
